package model

import (
	"github.com/pocketbase/pocketbase/models"
	"github.com/pocketbase/pocketbase/tools/types"
)

type Feed struct {
	Modules   string         `db:"modules" json:"modules"`
	Retrieved types.DateTime `db:"retrieved" json:"retrieved"`
	models.BaseModel
}

// SetModules set modules field
func (f *Feed) SetModules(modules string) {
	f.Modules = modules
}
