package db

import (
	"github.com/pocketbase/pocketbase"
	"github.com/pocketbase/pocketbase/models"
)

func FindCollection(app *pocketbase.PocketBase, collectionName string) (*models.Collection, error) {
	collection, dbError := app.Dao().FindCollectionByNameOrId(collectionName)
	return collection, dbError
}
