import { expect, test } from "vitest";
import { onlyWhitespace } from "@/helpers/strings.ts";

test("contains No whitespace", () => {
  expect(onlyWhitespace("awdawdawd")).toBe(false);
});

test("contains whitespace", () => {
  expect(onlyWhitespace("aw daw dawd")).toBe(false);
});

test("contains only whitespace", () => {
  expect(onlyWhitespace("  ")).toBe(true);
});
