import { Event } from "./event";

export class Module {
  constructor(
    public uuid: string,
    public name: string,
    public course: string,
    public eventType: string,
    public userDefinedName: string,
    public prof: string,
    public semester: string,
    public reminder: boolean,
    public events: Event[] = [],
  ) {}

  isEqual(module: Module): boolean {
    return this.name === module.name && this.course === module.course;
  }
}
