package course

import (
	"github.com/pocketbase/pocketbase"
	"htwkalender/service/events"
	"log"
)

func UpdateCourse(app *pocketbase.PocketBase) {
	courses := events.GetAllCourses(app)
	for _, course := range courses {
		err := events.UpdateModulesForCourse(app, course)
		if err != nil {
			log.Println("Update Course: " + course + " failed")
			log.Println(err)
		} else {
			log.Println("Update Course: " + course + " successful")
		}
	}
}
