package functions

import "time"

// GetCurrentSemesterString returns the current semester as string
// if current month is between 10 and 03 -> winter semester "ws"
func GetCurrentSemesterString() string {

	if time.Now().Month() >= 10 || time.Now().Month() <= 3 {
		return "ws"
	} else {
		return "ss"
	}
}
