package names

import (
	"htwkalender/model"
	"regexp"
)

func ReplaceTemplateSubStrings(rawString string, event model.Event) string {
	re := regexp.MustCompile(`\%(.)`)

	return re.ReplaceAllStringFunc(rawString, func(match string) string {
		switch match {
		case "%%":
			return "%"
		case "%t":
			return event.EventType
		case "%p":
			return event.Compulsory
		default:
			return match
		}
	})
}
