/**
 * Returns false only if the input argument is a string which contains characters that are not considered a whitespace
 * @param str - The string to check for whitespace
 * @returns boolean - true if the string contains only whitespace, false otherwise
 */
export function onlyWhitespace(str: string): boolean {
  return !str || str.length === 0 || /^\s*$/.test(str);
}
