import { defineStore } from "pinia";
import { useLocalStorage } from "@vueuse/core";

const localeStore = defineStore("localeStore", {
  state: () => {
    return {
      locale: useLocalStorage("locale", "en"), //useLocalStorage takes in a key of 'count' and default value of 0
    };
  },
  actions: {
    setLocale(locale: string) {
      this.locale = locale;
    },
  },
});

export default localeStore;
