import { defineStore } from "pinia";

const tokenStore = defineStore("tokenStore", {
  state: () => ({
    token: "",
  }),
  actions: {
    setToken(token: string) {
      this.token = token;
    },
    removeToken() {
      this.token = "";
    },
  },
});

export default tokenStore;
